<mat-toolbar color="primary">
  <div>
    <a mat-button routerLink=""> Home </a>
  </div>

  <app-auth-view [role]="'Administrator'">
    <ng-container authorized>
      <div>
        <a mat-button routerLink="admin"> Administrate </a>
      </div>
    </ng-container>
  </app-auth-view>

  <div class="space"></div>

  <app-auth-view>
    <ng-container authorized>
    <span class="user-name">Hello, {{getEmail()}}</span>
      <a mat-button (click)="logOut()">Logout</a>
    </ng-container>
    <ng-container notAuthorized>
      <a mat-button routerLink="login">Login</a>
      <a mat-button routerLink="register">Register</a>

    </ng-container>
  </app-auth-view>

</mat-toolbar>
